%define upstream_name    Catalyst-Plugin-Unicode-Encoding
%define upstream_version 1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Unicode aware Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(LWP)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(Class::Data::Inheritable)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
Catalyst plugin to wite UTF-8 web applications.
On request, it will decodes all params from encoding into a sequence of logical
characters. And it will encodes body into encoding when responding.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Apr 17 2011 Funda Wang <fwang@mandriva.org> 1.100.0-2mdv2011.0
+ Revision: 654269
- rebuild for updated spec-helper

* Fri Dec 17 2010 Michael Scherer <misc@mandriva.org> 1.100.0-1mdv2011.0
+ Revision: 622477
- fix missing BuildRequires
- import perl-Catalyst-Plugin-Unicode-Encoding

